com.io7m.jcanephora.renderstate

## Class JCGLRenderState

- java.lang.Object
- - com.io7m.jcanephora.renderstate.JCGLRenderState

- All Implemented Interfaces:
    JCGLRenderStateType

      @Generated(value={"Immutables.generator","JCGLRenderStateType"})
      public final class JCGLRenderState
      extends Object
      implements JCGLRenderStateType

  The type of render states.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JCGLRenderState.Builder` Builds instances of type `JCGLRenderState`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JCGLRenderState.Builder` | `builder()` Creates a builder for `JCGLRenderState`.
    `boolean` | `equals(Object another)` This instance is equal to all instances of `JCGLRenderState` that have equal attribute values.
    `Optional<JCGLBlendStateType>` | `getBlendState()`
    `JCGLColorBufferMaskingStateType` | `getColorBufferMaskingState()`
    `Optional<JCGLCullingStateType>` | `getCullingState()`
    `JCGLDepthStateType` | `getDepthState()`
    `JCGLPolygonMode` | `getPolygonMode()`
    `Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType>` | `getScissor()`
    `JCGLStencilStateType` | `getStencilState()`
    `int` | `hashCode()` Computes a hash code from attributes: `blendState`, `cullingState`, `colorBufferMaskingState`, `polygonMode`, `scissor`, `depthState`, `stencilState`.
    `static JCGLRenderState` | `of(Optional<JCGLBlendStateType> blendState, Optional<JCGLCullingStateType> cullingState, JCGLColorBufferMaskingStateType colorBufferMaskingState, JCGLPolygonMode polygonMode, Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType> scissor, JCGLDepthStateType depthState, JCGLStencilStateType stencilState)` Construct a new immutable `JCGLRenderState` instance.
    `String` | `toString()` Prints the immutable value `JCGLRenderState` with attribute values.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getBlendState

          public Optional<JCGLBlendStateType> getBlendState()

      Specified by:
        `getBlendState` in interface `JCGLRenderStateType`
      Returns:
        The blending state, if blending is enabled

    - #### getCullingState

          public Optional<JCGLCullingStateType> getCullingState()

      Specified by:
        `getCullingState` in interface `JCGLRenderStateType`
      Returns:
        The culling state, if culling is enabled

    - #### getColorBufferMaskingState

          public JCGLColorBufferMaskingStateType getColorBufferMaskingState()

      Specified by:
        `getColorBufferMaskingState` in interface `JCGLRenderStateType`
      Returns:
        The color buffer masking state

    - #### getPolygonMode

          public JCGLPolygonMode getPolygonMode()

      Specified by:
        `getPolygonMode` in interface `JCGLRenderStateType`
      Returns:
        The polygon rendering mode

    - #### getScissor

          public Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType> getScissor()

      Specified by:
        `getScissor` in interface `JCGLRenderStateType`
      Returns:
        The scissor region, if scissoring is enabled

    - #### getDepthState

          public JCGLDepthStateType getDepthState()

      Specified by:
        `getDepthState` in interface `JCGLRenderStateType`
      Returns:
        The depth buffer state

    - #### getStencilState

          public JCGLStencilStateType getStencilState()

      Specified by:
        `getStencilState` in interface `JCGLRenderStateType`
      Returns:
        The stencil buffer state

    - #### equals

          public boolean equals(Object another)

      This instance is equal to all instances of `JCGLRenderState` that have equal attribute values.
      Overrides:
        `equals` in class `Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode()

      Computes a hash code from attributes: `blendState`, `cullingState`, `colorBufferMaskingState`, `polygonMode`, `scissor`, `depthState`, `stencilState`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        hashCode value

    - #### toString

          public String toString()

      Prints the immutable value `JCGLRenderState` with attribute values.
      Overrides:
        `toString` in class `Object`
      Returns:
        A string representation of the value

    - #### of

          public static JCGLRenderState of(Optional<JCGLBlendStateType> blendState,
                                           Optional<JCGLCullingStateType> cullingState,
                                           JCGLColorBufferMaskingStateType colorBufferMaskingState,
                                           JCGLPolygonMode polygonMode,
                                           Optional<com.io7m.jareas.core.AreaInclusiveUnsignedLType> scissor,
                                           JCGLDepthStateType depthState,
                                           JCGLStencilStateType stencilState)

      Construct a new immutable `JCGLRenderState` instance.
      Parameters:
        `blendState` - The value for the `blendState` attribute
        `cullingState` - The value for the `cullingState` attribute
        `colorBufferMaskingState` - The value for the `colorBufferMaskingState` attribute
        `polygonMode` - The value for the `polygonMode` attribute
        `scissor` - The value for the `scissor` attribute
        `depthState` - The value for the `depthState` attribute
        `stencilState` - The value for the `stencilState` attribute
      Returns:
        An immutable JCGLRenderState instance

    - #### builder

          public static JCGLRenderState.Builder builder()

      Creates a builder for `JCGLRenderState`.
      Returns:
        A new JCGLRenderState builder

Copyright © 2016 <code@io7m.com> http://io7m.com